=== debian/changelog ===
cutefish-filemanager (0.8) UNRELEASED; urgency=high

  * Initial release (CutefishOS)  <support@cutefishos.com>

 -- CutefishOS Packaging Team <support@cutefishos.com>  Sat, 29 Jan 2022 03:21:19 +0800
