=== debian/control ===
Source: cutefish-filemanager
Section: devel
Priority: optional
Maintainer: CutefishOS <support@cutefishos.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5kio-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               libkf5config-dev,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Homepage: https://cutefishos.com

Package: cutefish-filemanager
Architecture: any
Depends: qml-module-qtquick-controls2,
         qml-module-qtquick2,
         qml-module-qtquick-layouts,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtqml,
         qml-module-qtquick-window2,
         qml-module-qtquick-shapes,
         qml-module-qtquick-dialogs,
         qml-module-qtgraphicaleffects
         ${misc:Depends},
         ${shlibs:Depends}
Description: CutefishOS File Manager
